# $Revision: 1.10 $, $Date: 2002/06/30 20:22:02 $
Summary:	SVGAlib pager for man pages
Summary(pl):	Przegldarka podrcznika systemowego dla SVGAlib
Name:		vmanpg
Version:	1.1
Release:	4
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.svgalib.org/rus/vmanpg/%{name}-%{version}.tar.gz
%ifarch %{ix86} alpha ppc
BuildRequires:	svgalib-devel
%endif
%ifarch ppc
BuildRequires:  svgalib4ggi-devel
%endif
Exclusivearch:	%{ix86} alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
vmanpg is a man pager, working in fullscreen SVGA mode.

%description -l pl
vmanpg jest przegldark manuali, pracujc w penoekranowym trybie
SVGA.

%prep
%setup -q

%build
%{__make} CFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install vmanpg $RPM_BUILD_ROOT%{_bindir}
install vman.sh $RPM_BUILD_ROOT%{_bindir}/vman
install vmanpg.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so vmanpg.1" > $RPM_BUILD_ROOT%{_mandir}/man1/vman.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/vman
%attr(755,root,root) %{_bindir}/vmanpg
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vmanpg.spec,v $
Revision 1.10  2002/06/30 20:22:02  kloczek
- cosmetics.

Revision 1.9  2002/06/30 20:14:02  marcus
- fixed building on ppc
- use new %%doc
- rel. 4

Revision 1.8  2002/02/25 07:50:10  marcus
- rel.3.

Revision 1.7  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2000/10/02 14:44:12  kloczek
- release 2: user rpm new automation suit.

Revision 1.2  2000/09/27 06:09:19  kloczek
- added "Exclusivearch: %%{ix86} alpha",
- make spec %%{debug} friendly.

Revision 1.1  2000/09/26 20:00:13  zagrodzki
- initial release
- still has bugs: no latin2 fonts, doesn't change tty after quitting...
